/*
 *  Euklides  version 0.3.4
 *  Copyright (c) Christian Obrecht 2000-2001
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

typedef struct {
  double x,y;
} _point;

typedef struct {
  double x,y;
} _vector;

typedef struct {
  double x,y,angle;
} _line;

typedef struct {
  double x1,y1,x2,y2;
} _segment;

typedef struct {
  double x,y,radius;
} _circle;

struct symrec {
  char *name;
  int type;
  union {
    double number;
    _point *point;
    _vector *vector;
    _line *line;
    _segment *segment;
    _circle *circle;
  } object;
  struct symrec *next;
};

typedef struct symrec symrec;

struct saverec {
  void * s;
  struct saverec * next;
};

typedef struct saverec saverec;